Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj.fpga
Class tDMA

    java.lang.Object
      edu.wpi.first.wpilibj.fpga.tSystem
          edu.wpi.first.wpilibj.fpga.tDMA

All Implemented Interfaces:
  ExpectedFPGASignature

    public class tDMA

extends tSystem

Field Summary
`static int` | `kExternalTriggers_ElementMask`
`static int` | `kExternalTriggers_ElementSize`
`static int` | `kExternalTriggers_NumElements`
`static int` | `kNumSystems`

Fields inherited from class edu.wpi.first.wpilibj.fpga.tSystem
`m_DeviceHandle, status`

Fields inherited from interface edu.wpi.first.wpilibj.fpga.ExpectedFPGASignature
`kBitfileName, kExpectedFPGARevision, kExpectedFPGASignature, kExpectedFPGASignatureStr, kExpectedFPGAVersion`

Constructor Summary
`tDMA()`

Method Summary
`protected void` | `finalize()`
`static boolean` | `readConfig_Enable_Accumulator0()`
`static boolean` | `readConfig_Enable_Accumulator1()`
`static boolean` | `readConfig_Enable_AI0_High()`
`static boolean` | `readConfig_Enable_AI0_Low()`
`static boolean` | `readConfig_Enable_AI1_High()`
`static boolean` | `readConfig_Enable_AI1_Low()`
`static boolean` | `readConfig_Enable_AIAveraged0_High()`
`static boolean` | `readConfig_Enable_AIAveraged0_Low()`
`static boolean` | `readConfig_Enable_AIAveraged1_High()`
`static boolean` | `readConfig_Enable_AIAveraged1_Low()`
`static boolean` | `readConfig_Enable_AnalogTriggers()`
`static boolean` | `readConfig_Enable_Counters_High()`
`static boolean` | `readConfig_Enable_Counters_Low()`
`static boolean` | `readConfig_Enable_CounterTimers_High()`
`static boolean` | `readConfig_Enable_CounterTimers_Low()`
`static boolean` | `readConfig_Enable_DI()`
`static boolean` | `readConfig_Enable_Encoders()`
`static boolean` | `readConfig_Enable_EncoderTimers()`
`static boolean` | `readConfig_ExternalClock()`
`static boolean` | `readConfig_Pause()`
`static int` | `readConfig()`
`static boolean` | `readExternalTriggers_ExternalClockSource_AnalogTrigger(int bitfield_index)`
`static byte` | `readExternalTriggers_ExternalClockSource_Channel(int bitfield_index)`
`static byte` | `readExternalTriggers_ExternalClockSource_Module(int bitfield_index)`
`static boolean` | `readExternalTriggers_FallingEdge(int bitfield_index)`
`static boolean` | `readExternalTriggers_RisingEdge(int bitfield_index)`
`static int` | `readExternalTriggers(int bitfield_index)`
`static long` | `readRate()`
`static void` | `writeConfig_Enable_Accumulator0(boolean value)`
`static void` | `writeConfig_Enable_Accumulator1(boolean value)`
`static void` | `writeConfig_Enable_AI0_High(boolean value)`
`static void` | `writeConfig_Enable_AI0_Low(boolean value)`
`static void` | `writeConfig_Enable_AI1_High(boolean value)`
`static void` | `writeConfig_Enable_AI1_Low(boolean value)`
`static void` | `writeConfig_Enable_AIAveraged0_High(boolean value)`
`static void` | `writeConfig_Enable_AIAveraged0_Low(boolean value)`
`static void` | `writeConfig_Enable_AIAveraged1_High(boolean value)`
`static void` | `writeConfig_Enable_AIAveraged1_Low(boolean value)`
`static void` | `writeConfig_Enable_AnalogTriggers(boolean value)`
`static void` | `writeConfig_Enable_Counters_High(boolean value)`
`static void` | `writeConfig_Enable_Counters_Low(boolean value)`
`static void` | `writeConfig_Enable_CounterTimers_High(boolean value)`
`static void` | `writeConfig_Enable_CounterTimers_Low(boolean value)`
`static void` | `writeConfig_Enable_DI(boolean value)`
`static void` | `writeConfig_Enable_Encoders(boolean value)`
`static void` | `writeConfig_Enable_EncoderTimers(boolean value)`
`static void` | `writeConfig_ExternalClock(boolean value)`
`static void` | `writeConfig_Pause(boolean value)`
`static void` | `writeConfig(int value)`
`static void` | `writeExternalTriggers_ExternalClockSource_AnalogTrigger(int bitfield_index, boolean value)`
`static void` | `writeExternalTriggers_ExternalClockSource_Channel(int bitfield_index, int value)`
`static void` | `writeExternalTriggers_ExternalClockSource_Module(int bitfield_index, int value)`
`static void` | `writeExternalTriggers_FallingEdge(int bitfield_index, boolean value)`
`static void` | `writeExternalTriggers_RisingEdge(int bitfield_index, boolean value)`
`static void` | `writeExternalTriggers(int bitfield_index, int value)`
`static void` | `writeRate(long value)`

Methods inherited from class edu.wpi.first.wpilibj.fpga.tSystem
`getFpgaGuid, Release`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### kNumSystems

    public static final int kNumSystems

See Also:
  Constant Field Values

### kExternalTriggers_NumElements

    public static final int kExternalTriggers_NumElements

See Also:
  Constant Field Values

### kExternalTriggers_ElementSize

    public static final int kExternalTriggers_ElementSize

See Also:
  Constant Field Values

### kExternalTriggers_ElementMask

    public static final int kExternalTriggers_ElementMask

See Also:
  Constant Field Values

Constructor Detail

### tDMA

    public tDMA()

Method Detail

### finalize

    protected void finalize()

  Overrides:
    `finalize` in class `tSystem`

### writeRate

    public static void writeRate(long value)

### readRate

    public static long readRate()

### writeConfig

    public static void writeConfig(int value)

### writeConfig_Pause

    public static void writeConfig_Pause(boolean value)

### writeConfig_Enable_AI0_Low

    public static void writeConfig_Enable_AI0_Low(boolean value)

### writeConfig_Enable_AI0_High

    public static void writeConfig_Enable_AI0_High(boolean value)

### writeConfig_Enable_AIAveraged0_Low

    public static void writeConfig_Enable_AIAveraged0_Low(boolean value)

### writeConfig_Enable_AIAveraged0_High

    public static void writeConfig_Enable_AIAveraged0_High(boolean value)

### writeConfig_Enable_AI1_Low

    public static void writeConfig_Enable_AI1_Low(boolean value)

### writeConfig_Enable_AI1_High

    public static void writeConfig_Enable_AI1_High(boolean value)

### writeConfig_Enable_AIAveraged1_Low

    public static void writeConfig_Enable_AIAveraged1_Low(boolean value)

### writeConfig_Enable_AIAveraged1_High

    public static void writeConfig_Enable_AIAveraged1_High(boolean value)

### writeConfig_Enable_Accumulator0

    public static void writeConfig_Enable_Accumulator0(boolean value)

### writeConfig_Enable_Accumulator1

    public static void writeConfig_Enable_Accumulator1(boolean value)

### writeConfig_Enable_DI

    public static void writeConfig_Enable_DI(boolean value)

### writeConfig_Enable_AnalogTriggers

    public static void writeConfig_Enable_AnalogTriggers(boolean value)

### writeConfig_Enable_Counters_Low

    public static void writeConfig_Enable_Counters_Low(boolean value)

### writeConfig_Enable_Counters_High

    public static void writeConfig_Enable_Counters_High(boolean value)

### writeConfig_Enable_CounterTimers_Low

    public static void writeConfig_Enable_CounterTimers_Low(boolean value)

### writeConfig_Enable_CounterTimers_High

    public static void writeConfig_Enable_CounterTimers_High(boolean value)

### writeConfig_Enable_Encoders

    public static void writeConfig_Enable_Encoders(boolean value)

### writeConfig_Enable_EncoderTimers

    public static void writeConfig_Enable_EncoderTimers(boolean value)

### writeConfig_ExternalClock

    public static void writeConfig_ExternalClock(boolean value)

### readConfig

    public static int readConfig()

### readConfig_Pause

    public static boolean readConfig_Pause()

### readConfig_Enable_AI0_Low

    public static boolean readConfig_Enable_AI0_Low()

### readConfig_Enable_AI0_High

    public static boolean readConfig_Enable_AI0_High()

### readConfig_Enable_AIAveraged0_Low

    public static boolean readConfig_Enable_AIAveraged0_Low()

### readConfig_Enable_AIAveraged0_High

    public static boolean readConfig_Enable_AIAveraged0_High()

### readConfig_Enable_AI1_Low

    public static boolean readConfig_Enable_AI1_Low()

### readConfig_Enable_AI1_High

    public static boolean readConfig_Enable_AI1_High()

### readConfig_Enable_AIAveraged1_Low

    public static boolean readConfig_Enable_AIAveraged1_Low()

### readConfig_Enable_AIAveraged1_High

    public static boolean readConfig_Enable_AIAveraged1_High()

### readConfig_Enable_Accumulator0

    public static boolean readConfig_Enable_Accumulator0()

### readConfig_Enable_Accumulator1

    public static boolean readConfig_Enable_Accumulator1()

### readConfig_Enable_DI

    public static boolean readConfig_Enable_DI()

### readConfig_Enable_AnalogTriggers

    public static boolean readConfig_Enable_AnalogTriggers()

### readConfig_Enable_Counters_Low

    public static boolean readConfig_Enable_Counters_Low()

### readConfig_Enable_Counters_High

    public static boolean readConfig_Enable_Counters_High()

### readConfig_Enable_CounterTimers_Low

    public static boolean readConfig_Enable_CounterTimers_Low()

### readConfig_Enable_CounterTimers_High

    public static boolean readConfig_Enable_CounterTimers_High()

### readConfig_Enable_Encoders

    public static boolean readConfig_Enable_Encoders()

### readConfig_Enable_EncoderTimers

    public static boolean readConfig_Enable_EncoderTimers()

### readConfig_ExternalClock

    public static boolean readConfig_ExternalClock()

### writeExternalTriggers

    public static void writeExternalTriggers(int bitfield_index,
                                             int value)

### writeExternalTriggers_ExternalClockSource_Channel

    public static void writeExternalTriggers_ExternalClockSource_Channel(int bitfield_index,
                                                                         int value)

### writeExternalTriggers_ExternalClockSource_Module

    public static void writeExternalTriggers_ExternalClockSource_Module(int bitfield_index,
                                                                        int value)

### writeExternalTriggers_ExternalClockSource_AnalogTrigger

    public static void writeExternalTriggers_ExternalClockSource_AnalogTrigger(int bitfield_index,
                                                                               boolean value)

### writeExternalTriggers_RisingEdge

    public static void writeExternalTriggers_RisingEdge(int bitfield_index,
                                                        boolean value)

### writeExternalTriggers_FallingEdge

    public static void writeExternalTriggers_FallingEdge(int bitfield_index,
                                                         boolean value)

### readExternalTriggers

    public static int readExternalTriggers(int bitfield_index)

### readExternalTriggers_ExternalClockSource_Channel

    public static byte readExternalTriggers_ExternalClockSource_Channel(int bitfield_index)

### readExternalTriggers_ExternalClockSource_Module

    public static byte readExternalTriggers_ExternalClockSource_Module(int bitfield_index)

### readExternalTriggers_ExternalClockSource_AnalogTrigger

    public static boolean readExternalTriggers_ExternalClockSource_AnalogTrigger(int bitfield_index)

### readExternalTriggers_RisingEdge

    public static boolean readExternalTriggers_RisingEdge(int bitfield_index)

### readExternalTriggers_FallingEdge

    public static boolean readExternalTriggers_FallingEdge(int bitfield_index)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"